/* /var/www/u234675/data/www/vules-studio.pl/Application/Modules/0.Dashboard/Resources/Front/Styles/style.Popup.css */
.dashboard-front-popup {
    background-color: rgba(255, 255, 255, 0.75);
    color: black;
    backdrop-filter: blur(1rem);
    box-shadow: 0px 0px 1rem rgba(0, 0, 0, 0.125);
    overflow: hidden;
    padding: 1rem;
    position: fixed;
    left: 0px;
    bottom: 0px;
    overflow-y: auto;
    overflow-x: clip;
    z-index: 9999;
    max-width: 32rem;
    max-height: 32rem;

    table {
        tr {

            th,
            td {
                font-size: 12px;
                vertical-align: initial;
                text-align: left;
                padding: 0.125rem;
            }
        }
    }

    .dashboard-front-popup-section {
        .dashboard-front-popup-parameter {
            .dashboard-front-popup-parameter-name {
                width: 40%;
            }

            .dashboard-front-popup-parameter-value {
                font-weight: bold;
            }
        }
    }
}

/* /var/www/u234675/data/www/vules-studio.pl/Application/Modules/Blocks/Resources/Front/Styles/style.TextMore.css */
.text-more-target {
    display: none;
}

.text-more {}

.text-more:not([state="true"])>.less {
    display: none;
}

.text-more[state="true"]>.more {
    display: none;
}

/* /var/www/u234675/data/www/vules-studio.pl/Application/Modules/Quill/Resources/Front/Styles/style.Quill.css */
.ql-align-center {
    text-align: center;
}

/* /var/www/u234675/data/www/vules-studio.pl/Plugins/Accessibility/Resources/Front/Styles/root.css */
:root {
    --accessibility-background: black;
    --accessibility-text: white;
    --accessibility-highlight: yellow;
    --accessibility-blue: royalblue;
}

/* /var/www/u234675/data/www/vules-studio.pl/Plugins/Accessibility/Resources/Front/Styles/style.Accessibility.css */
/* Fitler */
html[accessibility-filter="Grayscale"] {
    filter: grayscale(1) !important;
}

html[accessibility-filter="HighContrast"] * {
    background-image: initial !important;
    background-color: initial !important;
    border-color: var(--accessibility-highlight) !important;
    color: var(--accessibility-highlight) !important;
    box-shadow: none !important;
}

html[accessibility-filter="HighContrast"],
html[accessibility-filter="HighContrast"] section,
html[accessibility-filter="HighContrast"] div,
html[accessibility-filter="HighContrast"] img {
    background-color: black !important;
    color: var(--accessibility-highlight) !important;
}

html[accessibility-filter="HighContrast"] h1,
html[accessibility-filter="HighContrast"] h2,
html[accessibility-filter="HighContrast"] h3,
html[accessibility-filter="HighContrast"] h4,
html[accessibility-filter="HighContrast"] h5,
html[accessibility-filter="HighContrast"] h6,
html[accessibility-filter="HighContrast"] p,
html[accessibility-filter="HighContrast"] a,
html[accessibility-filter="HighContrast"] span {
    background-color: initial !important;
}

/* Headers */
html[accessibility-headers="Underline"] h1,
html[accessibility-headers="Underline"] h2,
html[accessibility-headers="Underline"] h3,
html[accessibility-headers="Underline"] h4,
html[accessibility-headers="Underline"] h5,
html[accessibility-headers="Underline"] h6 {
    text-decoration: underline 1px solid !important;
}

html[accessibility-headers="Border"] h1,
html[accessibility-headers="Border"] h2,
html[accessibility-headers="Border"] h3,
html[accessibility-headers="Border"] h4,
html[accessibility-headers="Border"] h5,
html[accessibility-headers="Border"] h6 {
    outline: 1px solid var(--accessibility-highlight) !important;
}

html[accessibility-headers="Highlight"] h1,
html[accessibility-headers="Highlight"] h2,
html[accessibility-headers="Highlight"] h3,
html[accessibility-headers="Highlight"] h4,
html[accessibility-headers="Highlight"] h5,
html[accessibility-headers="Highlight"] h6 {
    background-color: var(--accessibility-highlight) !important;
    color: var(--accessibility-background) !important;
}

/* Links */
html[accessibility-links="Underline"] a {
    text-decoration: underline 1px solid !important;
}

html[accessibility-links="Border"] a {
    outline: 1px solid var(--accessibility-highlight) !important;
}

html[accessibility-links="Highlight"] a {
    background-color: var(--accessibility-highlight) !important;
    color: var(--accessibility-background) !important;
}

html[accessibility-links="Highlight"] a * {
    background-color: var(--accessibility-highlight) !important;
    color: var(--accessibility-background) !important;
}

/* Images */
html[accessibility-images="Grayscale"] img {
    filter: grayscale(1) !important;
}

html[accessibility-images="Hidden"] img {
    visibility: hidden !important;
}

html[accessibility-disable-animations="true"] * {
    transition: none !important;
}

/* /var/www/u234675/data/www/vules-studio.pl/Plugins/Accessibility/Resources/Front/Styles/style.Button.css */
.accessibility-button {
    cursor: pointer;
    background-color: var(--accessibility-blue);
    border: 1px solid var(--accessibility-blue);
    color: var(--accessibility-text);
    border-radius: 100rem;
    overflow: hidden;
    position: fixed;
    bottom: 2rem;
    left: 2rem;
    z-index: 1000;
}

.accessibility-button>.accessibility-button-content {
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 1;
    width: 4rem;
}

.accessibility-button>.accessibility-button-content>* {
    font-size: 2.5rem;
    line-height: 1;
    transition: 0.1s font-size;
}

.accessibility-button>.accessibility-button-content:hover>* {
    font-size: 2rem;
}

/* /var/www/u234675/data/www/vules-studio.pl/Plugins/Accessibility/Resources/Front/Styles/style.Menu.css */
.accessibility-menu {
    background: initial !important;
    position: fixed;
    right: 0px;
    top: 0px;
    width: min(450px, 100%);
    height: 100%;
    z-index: 1000;
    overflow: auto;
    word-break: break-word;
}

.accessibility-menu>.accessibility-menu-content {
    background-color: var(--accessibility-background);
    color: var(--accessibility-highlight);
    width: 100%;
    height: 100%;
    overflow: auto;
    transition: 0.4s transform, 0.4s opacity;
}

.accessibility-menu:not([is-open="true"])>.accessibility-menu-content {
    transform: translateX(100%);
    opacity: 0;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-label {
    padding: 0.75rem;
    width: 100%;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-label .accessibility-menu-label-content {
    font-weight: bold;
    width: 100%;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-button {
    padding: 0.75rem;
    width: 100%;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-button .accessibility-menu-button-content {
    cursor: pointer;
    border-radius: 1.5rem;
    border: 1px solid var(--accessibility-highlight);
    padding: 1.5rem;
    text-align: center;
    width: 100%;
    transition: 0.2s background-color, 0.2s color;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-button[active="true"] .accessibility-menu-button-content {
    background-color: var(--accessibility-highlight) !important;
    color: var(--accessibility-background) !important;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-row {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-row>.accessibility-menu-button.s {
    width: 33.33%;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-row>.accessibility-menu-button.m {
    width: 50%;
}

.accessibility-menu>.accessibility-menu-content .accessibility-menu-row>.accessibility-menu-button.b {
    width: 100%;
}

/* /var/www/u234675/data/www/vules-studio.pl/Plugins/Cookies/Resources/Front/style.Cookies.css */
#cookie-banner {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    background: rgba(255, 255, 255, 0.75);
    padding: 1rem;
    z-index: 9999;
    overflow: auto;

    .cookie-box {
        background-color: white;
        color: black;
        box-shadow: 0rem 0.5rem 1rem hsla(0, 0%, 0%, 0.5);
        width: 100%;
        max-width: min(720px, 100%);
        padding: 1rem;

        .cookie-group {
            padding: 1rem;

            label {
                display: flex;
                flex-wrap: wrap;
                gap: 0.5rem;

                input {
                    width: 1rem;
                    height: 1rem;
                }
            }
        }

        .actions {
            display: flex;
            align-items: center;
            flex-wrap: wrap;
            justify-content: space-between;

            .cookies-button {
                padding: 1rem;
                cursor: pointer;
                width: auto;
            }
        }
    }

    &:not([settings="true"]) {
        .cookies-settings {
            display: none;
        }
    }

    &[settings="true"] {
        .cookies-no-settings {
            display: none;
        }
    }
}

/* /var/www/u234675/data/www/vules-studio.pl/Plugins/Gallery/Resources/Front/style.Gallery.css */
.gallery {
    .image[full] {
        cursor: pointer;
    }
}

.gallery-view {
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    position: fixed;
    padding: 1rem;
    gap: 1rem;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 1000;

    .gallery-view-button {
        backdrop-filter: blur(0.5rem);
        background-color: hsla(0, 0%, 20%, 0.25);
        color: white;
        align-self: center;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 2rem;
        line-height: 1;
        padding: 1rem;
        z-index: 1;
    }

    .gallery-view-button.gallery-view-close-button {
        top: 1rem;
        right: 1rem;
        position: absolute;
    }

    .gallery-view-content {
        display: flex;
        align-items: flex-start;
        justify-content: center;
        padding: 1%;
        flex-grow: 1;
        width: 0%;
        height: 100%;
        overflow-y: auto;

        img.gallery-view-image {
            object-fit: contain;
            width: 100%;
            height: 100%;
            max-width: 100%;
            max-height: 100%;
            transition: 0.2s;
        }

        &[zoom="true"] {
            img.gallery-view-image {
                height: auto;
                max-width: 100%;
                max-height: initial;
            }
        }
    }
}

@media (max-width:768px) {
    .gallery-view {
        overflow-y: auto;
    }

    .gallery-view .gallery-view-content {
        width: 100%;
        height: 100%;
    }

    .gallery-view .gallery-view-button.gallery-view-prev-button {
        position: absolute;
        left: 0px;
        width: 33.33%;
        top: auto;
        bottom: 0px;
        transform: none;
    }

    .gallery-view .gallery-view-button.gallery-view-next-button {
        position: absolute;
        left: 66.66%;
        width: 33.33%;
        top: auto;
        bottom: 0px;
        transform: none;
    }

    .gallery-view .gallery-view-button.gallery-view-close-button {
        left: 33.33%;
        width: 33.33%;
        top: auto;
        bottom: 0px;
        transform: none;
    }
}

/* /var/www/u234675/data/www/vules-studio.pl/Plugins/OpenAIChatBot/Resources/Front/style.OpenAIChatBot.css */
.openai-chatbot-window {
    --padding: 1em;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: var(--padding);
    position: fixed;
    z-index: 1000;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    max-width: min(450px, 100%);
    max-height: min(720px, 100%);
    transition: 0.2s;

    .openai-chatbot-window-button-size::after {
        display: inline;
        content: 'maximize';
    }

    &[size="Big"] {
        max-width: min(1080px, 100%);
        max-height: min(1080px, 100%);

        .openai-chatbot-window-button-size::after {
            content: 'minimized';
        }
    }

    .openai-chatbot-window-content {
        background-color: hsl(0, 0%, 95%);
        color: black;
        border: 1px solid hsl(0, 0%, 50%);
        border-radius: calc(var(--padding) * 2);
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        transform-origin: bottom right;
        transition: 0.4s transform;

        .openai-chatbot-window-header {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: flex-end;
        }

        .openai-chatbot-window-main {
            display: flex;
            flex-direction: column;
            flex-grow: 1;
            height: 0%;
        }

        .openai-chatbot-window-footer {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            font-size: 0.875rem;
            padding: var(--padding);
        }

        .openai-chatbot-window-button {
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            text-align: center;
            padding: var(--padding);
        }
    }

    &:not([is-open="true"]) {
        opacity: 0;

        .openai-chatbot-window-content {
            transform: scale(0.5);
        }
    }
}

.openai-chatbot-chat {
    display: flex;
    flex-direction: column;
    width: 100%;
    flex-grow: 1;
    height: 0%;

    .openai-chatbot-chat-main {
        display: flex;
        flex-direction: column;
        padding: var(--padding);
        gap: var(--padding);
        flex-grow: 1;
        height: 0%;
        overflow-y: auto;
    }

    .openai-chatbot-chat-message {
        background-color: hsl(0, 0%, 100%);
        border: 1px solid hsl(0, 0%, 50%);
        border-radius: var(--padding);
        font-size: 0.875rem;
        padding: var(--padding);
        width: fit-content;
        max-width: calc(100% - var(--padding) * 3);
        word-break: break-word;

        &[role="user"] {
            align-self: flex-end;
        }
    }

    form {
        display: flex;
        align-items: flex-end;
        padding: var(--padding);
        gap: var(--padding);

        textarea {
            background-color: hsl(0, 0%, 100%);
            border: 1px solid hsl(0, 0%, 50%);
            border-radius: var(--padding);
            padding: var(--padding);
            resize: none;
            overflow: auto;
            height: calc(var(--padding) * 6);
        }

        button {
            background-color: hsl(0, 0%, 100%);
            border: 1px solid hsl(0, 0%, 50%);
            border-radius: var(--padding);
            display: flex;
            align-items: center;
            justify-content: center;
            width: calc(var(--padding) * 3);
            height: calc(var(--padding) * 3);
        }
    }
}